<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

class ANR_Pro_Features {

	private static $instance;

	private function __construct() {

		$this->constants();
		$this->includes();
		$this->actions();
		$this->filters();

	}

	public static function init() {
		if ( ! self::$instance instanceof self ) {
			self::$instance = new self();
		}
		return self::$instance;
	}

	private function constants() {
	}

	private function includes() {
			require_once ANR_PLUGIN_DIR . 'pro/functions.php';
	}

	private function actions() {
			add_action( 'init', array( $this, 'pro_updater' ) );
	}

	function filters() {
	}

	function pro_updater() {

		if ( ! is_admin() ) {
			return;
		}
		if ( ! class_exists( 'ANR_License_Handler' ) ) {
			// load our custom update handler
			include 'updater/class-anr-license-handler.php';
		}

		// setup our custom update handler
		$updater = new ANR_License_Handler( ANR_PLUGIN_FILE, 'Advanced noCaptcha & invisible Captcha PRO', ANR_PLUGIN_VERSION );

	}

	function enqueue_scripts() {
	}

	function admin_enqueue_scripts() {
	}

} //End Class

add_action( 'plugins_loaded', array( 'ANR_Pro_Features', 'init' ), 20 );

